Fly.io
Postgres Clusters

Enable Extension

View as Markdown

Enable a Postgres extension within a specific database. PostGIS extensions require a PostGIS-enabled cluster.

POST
/v1/postgres/{postgres_cluster_id}/databases/{database_name}/extensions

Enable a Postgres extension within a specific database. PostGIS extensions require a PostGIS-enabled cluster.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

postgres_cluster_id*string

Managed Postgres Cluster ID

database_name*string

Database Name

Request Body

application/json

Extension details

create_schema?boolean

Create the schema first if it does not exist.

name*string

Extension to enable.

schema?string

Schema to install the extension into. Defaults to the database's default schema.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/postgres/string/databases/string/extensions" \  -H "Content-Type: application/json" \  -d '{    "name": "citext"  }'
Empty
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}